//
// ********************************************************************
// * DISCLAIMER                                                       *
// *                                                                  *
// * The following disclaimer summarizes all the specific disclaimers *
// * of contributors to this software. The specific disclaimers,which *
// * govern, are listed with their locations in:                      *
// *   http://cern.ch/geant4/license                                  *
// *                                                                  *
// * Neither the authors of this software system, nor their employing *
// * institutes,nor the agencies providing financial support for this *
// * work  make  any representation or  warranty, express or implied, *
// * regarding  this  software system or assume any liability for its *
// * use.                                                             *
// *                                                                  *
// * This  code  implementation is the  intellectual property  of the *
// * GEANT4 collaboration.                                            *
// * By copying,  distributing  or modifying the Program (or any work *
// * based  on  the Program)  you indicate  your  acceptance of  this *
// * statement, and all its terms.                                    *
// ********************************************************************
//
// -*- C++ -*-
// AID-GENERATED
// =========================================================================
// This class was generated by AID - Abstract Interface Definition          
// DO NOT MODIFY, but use the org.freehep.aid.Aid utility to regenerate it. 
// =========================================================================
#ifndef HEPREP_HEPREPDEFINITION_H
#define HEPREP_HEPREPDEFINITION_H 1

// Copyright 2000-2002, FreeHEP.

#include <string>
#include <vector>

#include "HEPREP/HepRepAttribute.h"

namespace HEPREP {

class HepRepAttDef;

/**
 * HepRepDefinition interface.
 *
 * @author Mark Donszelmann
 *
 */
class HepRepDefinition : virtual public HepRepAttribute {

public: 
    /// Destructor.
    virtual ~HepRepDefinition() { /* nop */; }

    /**
     * Adds an attdef.
     *
     * @param name name of the definition.
     * @param desc description of the definition.
     * @param category category of the definition.
     * @param extra extra info of the definition.
     * @return false only if this definition is written immediately to a stream.
     */
    virtual bool addAttDef(std::string name, std::string desc, std::string category, std::string extra) = 0;

    /**
     * Adds an attdef.
     *
     * @param attDef to be added.
     * @return false only if this definition is written immediately to a stream.
     */
    virtual bool addAttDef(HepRepAttDef * attDef) = 0;

    /**
     * Return a named attribute definition searched on this node and any parent nodes.
     *
     * @param name of attribute definition.
     * @return attribute definition.
     */
    virtual HepRepAttDef * getAttDef(std::string name) = 0;

    /**
     * Returns a collection of all attribute definitions defined on this node.
     *
     * @return collection of attributes definitions.
     */
    virtual std::vector<HepRepAttDef *>  * getAttDefsFromNode() = 0;

    /**
     * Returns a named attribute definition defined on this node.
     *
     * @param lowerCaseName name of the attribute in lower case.
     * @return attribute definition.
     */
    virtual HepRepAttDef * getAttDefFromNode(std::string lowerCaseName) = 0;
}; // class
}; // namespace HEPREP
#endif /* ifndef HEPREP_HEPREPDEFINITION_H */
